org.apache.tinkerpop.gremlin.process.computer.util

## Class DefaultComputerResult

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.util.DefaultComputerResult

- All Implemented Interfaces:
    AutoCloseable, ComputerResult

      public class DefaultComputerResult
      extends Object
      implements ComputerResult

  The result of the `GraphComputer`'s computation. This is returned in a `Future` by `GraphComputer.submit()`. A `GraphComputer` computation yields two things: an updated view of the computed on `Graph` and any computational sideEffects called `Memory`.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Graph` | `graph`
    `protected Memory` | `memory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultComputerResult(Graph graph, Memory memory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the computed `GraphComputer` result.
    `Graph` | `graph()` Get the `Graph` computed as determined by `GraphComputer.Persist` and `GraphComputer.ResultGraph`.
    `Memory` | `memory()` Get the GraphComputer's computational sideEffects known as `Memory`.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### graph

          protected final Graph graph

    - #### memory

          protected final Memory memory

  - ### Constructor Detail

    - #### DefaultComputerResult

          public DefaultComputerResult(Graph graph,
                                       Memory memory)

  - ### Method Detail

    - #### graph

          public Graph graph()

      Description copied from interface: `ComputerResult`
      Get the `Graph` computed as determined by `GraphComputer.Persist` and `GraphComputer.ResultGraph`.
      Specified by:
        `graph` in interface `ComputerResult`
      Returns:
        The computed graph

    - #### memory

          public Memory memory()

      Description copied from interface: `ComputerResult`
      Get the GraphComputer's computational sideEffects known as `Memory`.
      Specified by:
        `memory` in interface `ComputerResult`
      Returns:
        the computed memory

    - #### close

          public void close()

      Description copied from interface: `ComputerResult`
      Close the computed `GraphComputer` result. The semantics of "close" differ depending on the underlying implementation. In general, when a `ComputerResult` is closed, the computed values are no longer available to the user.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `ComputerResult`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.